at.chipkarte.client.prop.soap

## Class SvPatient

- Object
- - at.chipkarte.client.prop.soap.SvPatient

-     public class SvPatient
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvPatient()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDruckTitelHinten()` Titel hinten (mit diakritischen Zeichen).
    `String` | `getDruckTitelVorne()` Titel vorne (mit diakritischen Zeichen).
    `String` | `getDruckVorname()` Vorname (mit diakritischen Zeichen).
    `String` | `getDruckZuname()` Zuname (mit diakritischen Zeichen).
    `String` | `getGeburtsdatum()` Geburtsdatum des Patienten.
    `String` | `getGeschlechtscode()` Geschlechtscode des Patienten.
    `String` | `getSvNummer()` Sozialversicherungsnummer des Patienten.
    `String` | `getTitelHinten()` Titel hinten (ohne diakritische Zeichen).
    `String` | `getTitelVorne()` Titel vorne (ohne diakritische Zeichen).
    `String` | `getVorname()` Vorname (ohne diakritische Zeichen).
    `String` | `getZuname()` Zuname (ohne diakritische Zeichen).
    `void` | `setDruckTitelHinten(String druckTitelHinten)`
    `void` | `setDruckTitelVorne(String druckTitelVorne)`
    `void` | `setDruckVorname(String druckVorname)`
    `void` | `setDruckZuname(String druckZuname)`
    `void` | `setGeburtsdatum(String geburtsdatum)`
    `void` | `setGeschlechtscode(String geschlechtscode)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setTitelHinten(String titelHinten)`
    `void` | `setTitelVorne(String titelVorne)`
    `void` | `setVorname(String vorname)`
    `void` | `setZuname(String zuname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvPatient

          public SvPatient()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer des Patienten.
      Format: 10-stellig.
      Returns:
        SV-Nummer des Patienten

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getGeburtsdatum

          public String getGeburtsdatum()

      Geburtsdatum des Patienten.
      Format: 10-stellig, TT.MM.JJJJ
      Returns:
        Geburtsdatum des Patienten

    - #### setGeburtsdatum

          public void setGeburtsdatum(String geburtsdatum)

    - #### getGeschlechtscode

          public String getGeschlechtscode()

      Geschlechtscode des Patienten.
      Format: 1-stellig, 'M' oder 'W'
      Returns:
        Geschlechtscode

    - #### setGeschlechtscode

          public void setGeschlechtscode(String geschlechtscode)

    - #### getTitelVorne

          public String getTitelVorne()

      Titel vorne (ohne diakritische Zeichen).
      Format: 30-stellig.
      Returns:
        Titel vorne

    - #### setTitelVorne

          public void setTitelVorne(String titelVorne)

    - #### getTitelHinten

          public String getTitelHinten()

      Titel hinten (ohne diakritische Zeichen).
      Format: 30-stellig.
      Returns:
        Titel hinten

    - #### setTitelHinten

          public void setTitelHinten(String titelHinten)

    - #### getVorname

          public String getVorname()

      Vorname (ohne diakritische Zeichen).
      Format: 70-stellig.
      Returns:
        Vorname

    - #### setVorname

          public void setVorname(String vorname)

    - #### getZuname

          public String getZuname()

      Zuname (ohne diakritische Zeichen).
      Format: 70-stellig.
      Returns:
        Zuname

    - #### setZuname

          public void setZuname(String zuname)

    - #### getDruckVorname

          public String getDruckVorname()

      Vorname (mit diakritischen Zeichen).
      Format: 70-stellig.
      Returns:
        Vorname mit diakritischen Zeichen.

    - #### setDruckVorname

          public void setDruckVorname(String druckVorname)

    - #### getDruckZuname

          public String getDruckZuname()

      Zuname (mit diakritischen Zeichen). Format: 70-stellig.
      Returns:
        Zuname mit diakritischen Zeichen

    - #### setDruckZuname

          public void setDruckZuname(String druckZuname)

    - #### getDruckTitelVorne

          public String getDruckTitelVorne()

      Titel vorne (mit diakritischen Zeichen).
      Format: 30-stellig.
      Returns:
        Titel vorne

    - #### setDruckTitelVorne

          public void setDruckTitelVorne(String druckTitelVorne)

    - #### getDruckTitelHinten

          public String getDruckTitelHinten()

      Titel hinten (mit diakritischen Zeichen).
      Format: 30-stellig.
      Returns:
        Titel hinten

    - #### setDruckTitelHinten

          public void setDruckTitelHinten(String druckTitelHinten)